Description

Check in particular against cases identified by Ingo:

Erkenntnisse bisher:
 * In SpreadConnection::receive kann ein leerer shared_ptr
zurückgeliefert werden, falls
   - SP_receive einen Fehler (aber nicht "CONNECTION_CLOSED") liefert, oder
   - die Nachricht keine Membership oder Datennachricht ist.
Das sind beides eher unwahrscheinliche, aber nicht unmögliche,
Situationen. Falls sie auftreten, dann krachts in
SpreadEventFactory::receive.

Ich habe daher als hotfix in SpreadEventFactory::receive einen retry
eingebaut, der schaut, ob die Nachricht null ist und es in dem Fall
nochmal probiert, bis zu 10 Versuchen. Außerdem gibt es einen Check auf
SC != null, bei dessen Erreichen kontrolliert beendet wird.

This applies both to Java and C++.

Associated revisions
Revision 850b9d1d - 06/08/2011 05:05 PM - J. Wienke

cleanup logic of receive method in SpreadConnection and clarify what happens with differen message types.

refs #229

History
#1 - 04/08/2011 05:06 PM - J. Wienke
- Category set to C++

#2 - 06/08/2011 05:08 PM - J. Wienke
- Status changed from New to Resolved
- Assignee changed from M. Goetting to J. Wienke
- % Done changed from 0 to 100

Applied some fixes for CPP. For Java we could not find any of the described issues.
